namespace SpreadsheetGearExplorer
{
    partial class AmortizationCalculatorSample
    {
        private void Calculate(
            SpreadsheetGear.Windows.Forms.WorkbookView workbookView)
        {
            // NOTE: Must acquire a workbook set lock.
            workbookView.GetLock();
            try
            {
                // Get a reference to the active workbook.  This amortization
                // calculator workbook has been serialized with the form.
                SpreadsheetGear.IWorkbook workbook = workbookView.ActiveWorkbook;

                // Get ranges from defined names.
                SpreadsheetGear.IRange pv = 
                    workbook.Names["PV"].RefersToRange;
                SpreadsheetGear.IRange rate = 
                    workbook.Names["Rate"].RefersToRange;
                SpreadsheetGear.IRange nper = 
                    workbook.Names["NPer"].RefersToRange;

                // Copy the text box values to the worksheet.
                pv.Formula = textBoxAmount.Text;
                rate.Formula = textBoxRate.Text;
                nper.Formula = textBoxPeriods.Text;

                // Copy the formatted worksheet values to the text boxes.
                textBoxAmount.Text = pv.Text;
                textBoxRate.Text = rate.Text;
                textBoxPeriods.Text = nper.Text;

                // Display payment and interest details.
                labelPayment.Text = 
                    workbook.Names["Payment"].RefersToRange.Text;
                labelLastPayment.Text = 
                    workbook.Names["LastPayment"].RefersToRange.Text;
                labelTotalInterest.Text = 
                    workbook.Names["TotalInterest"].RefersToRange.Text;
            }
            finally
            {
                // NOTE: Must release the workbook set lock.
                workbookView.ReleaseLock();
            }
        }
    }
}
