namespace SpreadsheetGearExplorer
{
    partial class FormulaEvaluationSample
    {
        private void Evaluate()
        {
            // Create a new empty workbook and get the first sheet.
            // NOTE: Use GetWorkbook(System.Globalization.CultureInfo.CurrentCulture)
            //       to use the current culture instead of the default US English culture.
            SpreadsheetGear.IWorkbook workbook =
                SpreadsheetGear.Factory.GetWorkbook();

            SpreadsheetGear.IWorksheet worksheet = workbook.Worksheets[0];

            // Evaluate the input formula.
            object result = worksheet.EvaluateValue(textBoxFormula.Text);

            // Display the result to the user.
            string displayValue;
            if (result == null)
                displayValue = "Invalid Formula!";
            else if (result is SpreadsheetGear.ValueError)
            {
                SpreadsheetGear.ValueError valueError = 
                    (SpreadsheetGear.ValueError)result;
                displayValue = 
                    "Value Error: #" + valueError.ToString().ToUpper() + "!";
            }
            else
                displayValue = result.ToString();
            labelResult.Text = 
                "Result calculated from EvaluateValue = " + displayValue;
        }
    }
}
