namespace SpreadsheetGearExplorer
{
    partial class SimpleLoanCalculatorSample
    {
        private void Calculate()
        {
            // Open the loan calculator workbook.
            // NOTE: Use GetWorkbook(filename, System.Globalization.CultureInfo.CurrentCulture)
            //       to use the current culture instead of the default US English culture.
            SpreadsheetGear.IWorkbook workbook = 
                SpreadsheetGear.Factory.GetWorkbook("simpleloancalc.xls");

            // Get ranges from defined names.
            SpreadsheetGear.IRange pv = 
                workbook.Names["pv"].RefersToRange;
            SpreadsheetGear.IRange rate = 
                workbook.Names["rate"].RefersToRange;
            SpreadsheetGear.IRange nper = 
                workbook.Names["nper"].RefersToRange;

            // Copy the text box values to the worksheet.
            pv.Formula = textBoxAmount.Text;
            rate.Formula = textBoxRate.Text;
            nper.Formula = textBoxPeriods.Text;

            // Copy the formatted worksheet values to the text boxes.
            textBoxAmount.Text = pv.Text;
            textBoxRate.Text = rate.Text;
            textBoxPeriods.Text = nper.Text;

            // Display the calculated result.
            labelPayment.Text = 
                workbook.Names["payment"].RefersToRange.Text;
        }
    }
}
