namespace SpreadsheetGearExplorer
{
    partial class SpreadsheetToDataGridFormattedSample
    {
        private void RunSample()
        {
            // Create a DataSet from an XML file and retrieve an order table.
            System.Data.DataSet dataset = new System.Data.DataSet();
            dataset.ReadXml("spiceorder.xml");
            System.Data.DataTable datatable = dataset.Tables["OrderItems"];

            // Open the template workbook, which contains number formats
            // and formulas, and get an IRange from a defined name.
            // NOTE: Use GetWorkbook(filename, System.Globalization.CultureInfo.CurrentCulture)
            //       to use the current culture instead of the default US English culture.
            SpreadsheetGear.IWorkbook workbook = 
                SpreadsheetGear.Factory.GetWorkbook("spiceordertemplate.xls");
            SpreadsheetGear.IRange range = 
                workbook.Names["SetDataRange"].RefersToRange;

            // Insert the DataTable into the template worksheet range. 
            // The InsertCells flag will cause the formatted range to
            // be adjusted for the inserted data.
            range.CopyFromDataTable(
                datatable, SpreadsheetGear.Data.SetDataFlags.InsertCells);

            // Retrieve a DataSet from a defined name which includes 
            // the formatted range.
            System.Data.DataSet datasetOutput = 
                workbook.GetDataSet("GetDataRange",
                SpreadsheetGear.Data.GetDataFlags.FormattedText);

            // Bind a DataGrid to the formatted DataSet.
            dataGridView.DataSource = datasetOutput;
            dataGridView.DataMember = "GetDataRange";
        }
    }
}
