namespace SpreadsheetGearExplorer
{
    partial class BasicPrintingSample
    {
        private void Print(
            SpreadsheetGear.Windows.Forms.WorkbookView workbookView)
        {
            // NOTE: Must acquire a workbook set lock.
            workbookView.GetLock();
            try
            {
                // Determine what to print...
                SpreadsheetGear.Printing.PrintWhat printWhat;
                if (radioButtonSheet.Checked)
                    // Print the active sheet.
                    printWhat = SpreadsheetGear.Printing.PrintWhat.Sheet;
                else if (radioButtonWorkbook.Checked)
                    // Print the entire workbook.
                    printWhat = SpreadsheetGear.Printing.PrintWhat.Workbook;
                else
                    // Print the current selection.
                    printWhat = SpreadsheetGear.Printing.PrintWhat.Selection;

                // Print, displaying the print dialog before printing.
                workbookView.Print(printWhat, true);
            }
            finally
            {
                // NOTE: Must release the workbook set lock.
                workbookView.ReleaseLock();
            }
        }

        private void PrintPreview(
            SpreadsheetGear.Windows.Forms.WorkbookView workbookView)
        {
            // NOTE: Must acquire a workbook set lock.
            workbookView.GetLock();
            try
            {
                // Determine what to print preview...
                SpreadsheetGear.Printing.PrintWhat printWhat;
                if (radioButtonSheet.Checked)
                    // Print preview the active sheet.
                    printWhat = SpreadsheetGear.Printing.PrintWhat.Sheet;
                else if (radioButtonWorkbook.Checked)
                    // Print preview the entire workbook.
                    printWhat = SpreadsheetGear.Printing.PrintWhat.Workbook;
                else
                    // Print preview the current selection.
                    printWhat = SpreadsheetGear.Printing.PrintWhat.Selection;

                // Show the print preview dialog.
                workbookView.PrintPreview(printWhat);
            }
            finally
            {
                // NOTE: Must release the workbook set lock.
                workbookView.ReleaseLock();
            }
        }
    }
}
