namespace SpreadsheetGearExplorer
{
    partial class PageBreaksSample
    {
        private void PrintPreview(
            SpreadsheetGear.Windows.Forms.WorkbookView workbookView)
        {
            // NOTE: Must acquire a workbook set lock.
            workbookView.GetLock();
            try
            {
                // Get a reference to the active worksheet's cells.
                SpreadsheetGear.IRange cells = workbookView.ActiveWorksheet.Cells;

                // If page breaks are used...
                if (radioButtonPageBreaksUsed.Checked)
                {
                    // Add manual page breaks above and to the left of a named range.
                    cells["West"].PageBreak = SpreadsheetGear.PageBreak.Manual;
                }
                else
                {
                    // Remove all page breaks from all worksheet cells.
                    cells.PageBreak = SpreadsheetGear.PageBreak.None;
                }

                // Show a print preview of the active worksheet.
                workbookView.PrintPreview();
            }
            finally
            {
                // NOTE: Must release the workbook set lock.
                workbookView.ReleaseLock();
            }
        }
    }
}
