using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using SpreadsheetGearNavigator;

namespace SpreadsheetGearExplorer
{
    public partial class AutoFilterSample : UserControl, ISampleControl
    {
        public AutoFilterSample()
        {
            InitializeComponent();
            InitSample();
        }

        private void buttonFilterSingleItem_Click(object sender, EventArgs e)
        {
            FilterSingleItem(workbookView);
        }

        private void buttonFilterMultipleItems_Click(object sender, EventArgs e)
        {
            FilterMultipleItems(workbookView);
        }

        private void buttonFilterTopItems_Click(object sender, EventArgs e)
        {
            FilterTopItems(workbookView);
        }

        private void buttonFilterTopPercent_Click(object sender, EventArgs e)
        {
            FilterTopPercent(workbookView);
        }

        private void buttonFilterBottomItems_Click(object sender, EventArgs e)
        {
            FilterBottomItems(workbookView);
        }

        private void buttonFilterBottomPercent_Click(object sender, EventArgs e)
        {
            FilterBottomPercent(workbookView);
        }

        private void buttonFilterGreaterThan_Click(object sender, EventArgs e)
        {
            FilterGreaterThan(workbookView);
        }

        private void buttonFilterBetween_Click(object sender, EventArgs e)
        {
            FilterBetween(workbookView);
        }

        private void buttonFilterColor_Click(object sender, EventArgs e)
        {
            FilterColor(workbookView);
        }

        private void buttonFilterIcon_Click(object sender, EventArgs e)
        {
            FilterIcon(workbookView);
        }

        private void buttonShowAllData_Click(object sender, EventArgs e)
        {
            ShowAllData(workbookView);
        }

        private void InitSample()
        {
            workbookView.GetLock();
            try
            {
                var range = workbookView.ActiveWorksheet.Cells["C2:F65"];
                var condition1 = range.FormatConditions.Add(
                    SpreadsheetGear.FormatConditionType.CellValue, SpreadsheetGear.FormatConditionOperator.GreaterEqual, "1900", null);
                condition1.Interior.Color = SpreadsheetGear.Colors.SeaGreen;
                var condition2 = range.FormatConditions.AddIconSetCondition();
                condition2.IconSetCondition.IconCriteria[1].Type = SpreadsheetGear.ConditionValueTypes.Number;
                condition2.IconSetCondition.IconCriteria[1].Value = 200;
                condition2.IconSetCondition.IconCriteria[1].Icon = SpreadsheetGear.Icon.NoCellIcon;
                condition2.IconSetCondition.IconCriteria[2].Icon = SpreadsheetGear.Icon.NoCellIcon;
            }
            finally
            {
                workbookView.ReleaseLock();
            }

        }

        string ISampleControl.CodePath
        {
            get
            {
                return "Range\\AutoFilterSample.code.cs";
            }
        }
    }
}
