using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using SpreadsheetGearNavigator;

namespace SpreadsheetGearExplorer
{
    public partial class ConditionalFormatSample : UserControl, ISampleControl
    {
        public ConditionalFormatSample()
        {
            InitializeComponent();
            InitSample();
        }

        private void buttonColorScale_Click(object sender, EventArgs e)
        {
            AddColorScale(workbookView);
        }

        private void buttonDatabar_Click(object sender, EventArgs e)
        {
            AddDatabar(workbookView);
        }

        private void buttonIconSet_Click(object sender, EventArgs e)
        {
            AddIconSet(workbookView);
        }

        private void buttonTop10_Click(object sender, EventArgs e)
        {
            AddTop10(workbookView);
        }

        private void buttonAboveAverage_Click(object sender, EventArgs e)
        {
            AddAboveAverage(workbookView);
        }

        private void buttonUniqueValues_Click(object sender, EventArgs e)
        {
            AddUniqueValues(workbookView);
        }

        private void buttonCellValue_Click(object sender, EventArgs e)
        {
            AddCellValue(workbookView);
        }

        private void buttonRecalc_Click(object sender, EventArgs e)
        {
            Recalc(workbookView);
        }

        private void InitSample()
        {
            // NOTE: Must acquire a workbook set lock.
            workbookView.GetLock();
            try
            {
                // Set column width.
                workbookView.ActiveWorksheet.Cells["A1:Z1"].EntireColumn.ColumnWidth = 15;
            }
            finally
            {
                // NOTE: Must release the workbook set lock.
                workbookView.ReleaseLock();
            }

        }

        string ISampleControl.CodePath
        {
            get
            {
                return "Range\\ConditionalFormatSample.code.cs";
            }
        }
    }
}
