namespace SpreadsheetGearExplorer
{
    partial class DataSeriesSample
    {
        private void FillDataSeries(
            SpreadsheetGear.Windows.Forms.WorkbookView workbookView)
        {
            // NOTE: Must acquire a workbook set lock.
            workbookView.GetLock();
            try
            {
                // Get a reference to the active worksheet's cells.
                SpreadsheetGear.IRange cells = workbookView.ActiveWorksheet.Cells;

                // Auto fill by month name.
                cells["A2:A13"].DataSeries(true, 
                    SpreadsheetGear.DataSeriesType.AutoFill,
                    SpreadsheetGear.DataSeriesDate.Day, 1, 1, false);

                // Fill by day.
                cells["B2:B13"].DataSeries(true,
                    SpreadsheetGear.DataSeriesType.Chronological,
                    SpreadsheetGear.DataSeriesDate.Day, 1, System.Double.MaxValue, false);

                // Fill by month.
                cells["C2:C13"].DataSeries(true,
                    SpreadsheetGear.DataSeriesType.Chronological,
                    SpreadsheetGear.DataSeriesDate.Month, 1, System.Double.MaxValue, false);

                // Fill by year.
                cells["D2:D13"].DataSeries(true,
                    SpreadsheetGear.DataSeriesType.Chronological,
                    SpreadsheetGear.DataSeriesDate.Year, 1, System.Double.MaxValue, false);

                // Fill linear.
                cells["E2:E13"].DataSeries(true,
                    SpreadsheetGear.DataSeriesType.DataSeriesLinear,
                    SpreadsheetGear.DataSeriesDate.Day, 1, System.Double.MaxValue, false);

                // Fill linear trend.
                cells["F2:F13"].DataSeries(true,
                    SpreadsheetGear.DataSeriesType.DataSeriesLinear,
                    SpreadsheetGear.DataSeriesDate.Day, 1, 1, true);
            }
            finally
            {
                // NOTE: Must release the workbook set lock.
                workbookView.ReleaseLock();
            }
        }
    }
}
