namespace SpreadsheetGearExplorer
{
    partial class FontSample
    {
        private void SetFont(
            SpreadsheetGear.Windows.Forms.WorkbookView workbookView)
        {
            // NOTE: Must acquire a workbook set lock.
            workbookView.GetLock();
            try
            {
                // Get a reference to cell A1.
                SpreadsheetGear.IRange cell =
                    workbookView.ActiveWorksheet.Cells["A1"];

                // Add text to the cell.
                cell.Value = "SpreadsheetGear for .NET";

                // Get a reference to the range's font.
                SpreadsheetGear.IFont font = cell.Font;

                // Set various font options.
                font.Name = "Times New Roman";
                font.Size = 14;
                font.Bold = true;
                font.Color = SpreadsheetGear.Colors.SlateBlue;

                // AutoFit the range.
                cell.Columns.AutoFit();
            }
            finally
            {
                // NOTE: Must release the workbook set lock.
                workbookView.ReleaseLock();
            }
        }
    }
}
