namespace SpreadsheetGearExplorer
{
    partial class GoalSeekSample
    {
        private void GoalSeek(
            SpreadsheetGear.Windows.Forms.WorkbookView workbookView)
        {
            // NOTE: Must acquire a workbook set lock.
            workbookView.GetLock();
            try
            {
                // Get a reference to the active worksheet.
                SpreadsheetGear.IWorksheet worksheet = workbookView.ActiveWorksheet;

                // Get a reference to the target cell.
                SpreadsheetGear.IRange targetCell = worksheet.Cells["TargetCell"];

                // Get a reference to the cell to change.
                SpreadsheetGear.IRange changingCell = worksheet.Cells["ChangingCell"];

                // Set up the desired goal of the target cell.
                SpreadsheetGear.IRange desiredTargetValueCell = worksheet.Cells["DesiredTargetValueCell"];
                object value = desiredTargetValueCell.Value;
                double goal = (value is double) ? (double)value : 0.0;
                
                // Call GoalSeek which returns true if the desired goal is achieved.
                bool achieved = targetCell.GoalSeek(goal, changingCell);
                
                // Display the achieved status in the worksheet.
                worksheet.Cells["GoalSeekStatusCell"].Value = achieved ? "Achieved" : "Failed";
            }
            finally
            {
                // NOTE: Must release the workbook set lock.
                workbookView.ReleaseLock();
            }
        }
    }
}
