namespace SpreadsheetGearExplorer
{
    partial class MergeCellsSample
    {
        private void MergeCells(
            SpreadsheetGear.Windows.Forms.WorkbookView workbookView)
        {
            // NOTE: Must acquire a workbook set lock.
            workbookView.GetLock();
            try
            {
                // Get a reference to the selected range.
                SpreadsheetGear.IRange range = workbookView.RangeSelection;

                // Merge the range.
                range.Merge();

                // Center horizontally and vertically.
                range.HorizontalAlignment = SpreadsheetGear.HAlign.Center;
                range.VerticalAlignment = SpreadsheetGear.VAlign.Center;

                // Set the text of the merged cells.
                range.Value = "Merged Cells";
            }
            catch (System.Exception exc)
            {
                System.Windows.Forms.MessageBox.Show(exc.Message, "SpreadsheetGear");
            }
            finally
            {
                // NOTE: Must release the workbook set lock.
                workbookView.ReleaseLock();
            }
        }
    }
}
