namespace SpreadsheetGearExplorer
{
    partial class OrientationSample
    {
        private void SetOrientation(
            SpreadsheetGear.Windows.Forms.WorkbookView workbookView)
        {
            // NOTE: Must acquire a workbook set lock.
            workbookView.GetLock();
            try
            {
                // Get a reference to a range of cells.
                SpreadsheetGear.IRange range =
                    workbookView.ActiveWorksheet.Cells["C2:W2"];

                // Set the text orientation for a better fit.
                range.Orientation = 65;
            }
            finally
            {
                // NOTE: Must release the workbook set lock.
                workbookView.ReleaseLock();
            }
        }
    }
}
