namespace SpreadsheetGearExplorer
{
    partial class ValueFromArraySample
    {
        private void SetValueFromArray(
            SpreadsheetGear.Windows.Forms.WorkbookView workbookView)
        {
            // NOTE: Must acquire a workbook set lock.
            workbookView.GetLock();
            try
            {
                // Get a reference to a range of cells.
                SpreadsheetGear.IRange range =
                    workbookView.ActiveWorksheet.Cells["A1:J100"];

                // Create an array of values matching the size of 
                // the range which is 100 rows x 10 columns.
                int rowCount = range.RowCount;
                int colCount = range.ColumnCount;
                object[,] values = new object[rowCount, colCount];
                for (int row = 0; row < rowCount; row++)
                {
                    for (int col = 0; col < colCount; col++)
                        values[row, col] = "Cell=" + range.WorkbookSet.GetAddress(row, col);
                }

                // Set the array values into the range.
                range.Value = values;

                // AutoFit the range.
                range.Columns.AutoFit();

                // Give the keyboard focus to the WorkbookView.
                workbookView.Focus();
            }
            finally
            {
                // NOTE: Must release the workbook set lock.
                workbookView.ReleaseLock();
            }
        }
    }
}
