namespace SpreadsheetGearExplorer
{
    partial class DataTableToWorkbookSample
    {
        private void RunReport(
            SpreadsheetGear.Windows.Forms.WorkbookView workbookView)
        {
            // NOTE: Must acquire a workbook set lock.
            workbookView.GetLock();
            try
            {
                // Create a DataSet from an XML file.
                System.Data.DataSet dataset = new System.Data.DataSet();
                dataset.ReadXml("spiceorder.xml");
                System.Data.DataTable datatable = dataset.Tables["OrderItems"];

                // Get a workbook reference.
                SpreadsheetGear.IWorkbook workbook = workbookView.ActiveWorkbook;
                // Get a worksheet reference.
                SpreadsheetGear.IWorksheet worksheet = workbook.Worksheets[0];
                // Set the worksheet name.
                worksheet.Name = "Spice Order";

                // Get the top left cell for the DataTable.
                SpreadsheetGear.IRange cell = worksheet.Cells["A1"];

                // Copy the DataTable to the worksheet range.
                cell.CopyFromDataTable(
                    datatable, SpreadsheetGear.Data.SetDataFlags.None);

                // Auto size all worksheet columns which contain data.
                worksheet.UsedRange.Columns.AutoFit();
            }
            finally
            {
                // NOTE: Must release the workbook set lock.
                workbookView.ReleaseLock();
            }
        }
    }
}
