namespace SpreadsheetGearExplorer
{
    partial class ActiveWorkbookSample
    {
        private void SetActiveWorkbook(
            SpreadsheetGear.Windows.Forms.WorkbookView workbookView)
        {
            // NOTE: Must acquire a workbook set lock.
            workbookView.GetLock();
            try
            {
                // Open a workbook into a new workbook set which uses the current culture.
                SpreadsheetGear.IWorkbook workbook =
                    SpreadsheetGear.Factory.GetWorkbook("spiceorder.xls", System.Globalization.CultureInfo.CurrentCulture);

                // Display the new workbook in the WorkbookView.
                workbookView.ActiveWorkbook = workbook;
            }
            finally
            {
                // NOTE: Must release the workbook set lock.
                workbookView.ReleaseLock();
            }
        }
    }
}
