namespace SpreadsheetGearExplorer
{
    partial class WorkbookWindowInfoSample
    {
        private void SetWorkbookWindowInfo(
            SpreadsheetGear.Windows.Forms.WorkbookView workbookView)
        {
            // NOTE: Must acquire a workbook set lock.
            workbookView.GetLock();
            try
            {
                // Get a reference to the active workbook window info.
                SpreadsheetGear.IWorkbookWindowInfo windowInfo = workbookView.ActiveWorkbookWindowInfo;

                // Toggle display of the horizontal scroll bar.
                windowInfo.DisplayHorizontalScrollBar = !windowInfo.DisplayHorizontalScrollBar;

                // Toggle display of the vertical scroll bar.
                windowInfo.DisplayVerticalScrollBar = !windowInfo.DisplayVerticalScrollBar;

                // Toggle display of the workbook tabs.
                windowInfo.DisplayWorkbookTabs = !windowInfo.DisplayWorkbookTabs;
            }
            finally
            {
                // NOTE: Must release the workbook set lock.
                workbookView.ReleaseLock();
            }
        }
    }
}
