namespace SpreadsheetGearExplorer
{
    partial class LocationToRangeSample
    {
        private void workbookView_MouseDown(
            object sender, System.Windows.Forms.MouseEventArgs e)
        {
            // NOTE: Must acquire a workbook set lock.
            workbookView.GetLock();
            try
            {
                // Get the range associated with the mouse location.
                SpreadsheetGear.IRange range =
                    workbookView.LocationToRange(e.Location);

                // If this location is over a cell or row/col 
                // header, set the interior to blue.
                if (range != null)
                    range.EntireMergeArea.Interior.Color = SpreadsheetGear.Colors.SlateBlue;
            }
            finally
            {
                // NOTE: Must release the workbook set lock.
                workbookView.ReleaseLock();
            }
        }
    }
}
