using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace SpreadsheetGearNavigator
{
    /// <summary>
    /// This class is only used to navigate the SpreadsheetGear Explorer.  
    /// </summary>
    public partial class NavigationControl : UserControl
    {
        [Category("Action"),
         Description("Occurs when the navigation selection changes.")]
        public event NavigationChangedEventHandler NavigationChanged;

        public NavigationControl()
        {
            InitializeComponent();
            treeView.ExpandAll();
            treeView.SelectedNode = 
                treeView.Nodes["SpreadsheetGearExplorerCategory"].Nodes["ChartingCategory"].Nodes["GalleryChartSample"];
        }

        protected virtual void OnNavigationChanged(TreeViewEventArgs e)
        {
            if (NavigationChanged != null)
                NavigationChanged(this, e);
        }

        private void treeView1_AfterSelect(object sender, TreeViewEventArgs e)
        {
            if (NavigationChanged != null)
                OnNavigationChanged(e);
        }
    }

    public delegate void NavigationChangedEventHandler(object sender, TreeViewEventArgs e);

}
