Partial Class AmortizationCalculatorSample

    Private Sub Calculate(ByRef WorkbookView As SpreadsheetGear.Windows.Forms.WorkbookView)

        ' NOTE: Must acquire a workbook set lock.
        WorkbookView.GetLock()
        Try
            ' Get a reference to the active workbook.  This amortization
            ' calculator workbook has been serialized with the form.
            Dim workbook As SpreadsheetGear.IWorkbook = WorkbookView.ActiveWorkbook

            ' Get ranges from defined names.
            Dim pv As SpreadsheetGear.IRange = workbook.Names("PV").RefersToRange
            Dim rate As SpreadsheetGear.IRange = workbook.Names("Rate").RefersToRange
            Dim nper As SpreadsheetGear.IRange = workbook.Names("NPer").RefersToRange

            ' Copy the text box values to the worksheet.
            pv.Formula = TextBoxAmount.Text
            rate.Formula = TextBoxRate.Text
            nper.Formula = TextBoxPeriods.Text

            ' Copy the formatted worksheet values to the text boxes.
            TextBoxAmount.Text = pv.Text
            TextBoxRate.Text = rate.Text
            TextBoxPeriods.Text = nper.Text

            ' Display payment and interest details.
            LabelPayment.Text = workbook.Names("Payment").RefersToRange.Text
            LabelLastPayment.Text = workbook.Names("LastPayment").RefersToRange.Text
            LabelTotalInterest.Text = workbook.Names("TotalInterest").RefersToRange.Text
        Finally
            ' NOTE: Must release the workbook set lock.
            WorkbookView.ReleaseLock()
        End Try

    End Sub

End Class