Partial Class CustomFunctionsSample

    Private Sub Calculate()

        ' Create a new empty workbook.
        ' NOTE: Use GetWorkbook(System.Globalization.CultureInfo.CurrentCulture)
        '       to use the current culture instead of the default US English culture.
        Dim workbook As SpreadsheetGear.IWorkbook = SpreadsheetGear.Factory.GetWorkbook()

        ' Add the custom function to the workbook set.
        workbook.WorkbookSet.Add(MyAdd.MyAddSingleton)

        ' Get the first sheet and it's cells.
        Dim worksheet As SpreadsheetGear.IWorksheet = workbook.Worksheets(0)
        Dim cells As SpreadsheetGear.IRange = worksheet.Cells

        ' Assign user entered values and formula to cells.
        cells("A1").Formula = TextBox1.Text
        cells("B1").Formula = TextBox2.Text
        cells("C1").Formula = "=MYADD(A1,B1)"

        ' Display the calculated result.
        LabelResult.Text = "Result calculated from MYADD = " + cells("C1").Text

    End Sub

    ' A simple addition custom function.
    Public Class MyAdd

        Inherits SpreadsheetGear.CustomFunctions.Function
        ' Set to the one and only instance of MyAdd.
        Public Shared MyAddSingleton As New MyAdd
        ' Add two numbers.
        Public Overrides Sub Evaluate(ByVal arguments As SpreadsheetGear.CustomFunctions.IArguments, ByVal result As SpreadsheetGear.CustomFunctions.IValue)
            ' Verify that there are two arguments.
            If arguments.Count = 2 Then
                ' Get the two arguments as numbers, and add them.
                result.Number = arguments.GetNumber(0) + arguments.GetNumber(1)
            Else
                ' Return ValueError.Value.
                result.Error = SpreadsheetGear.ValueError.Value
            End If
        End Sub 'Evaluate

        ' Singleton class - so make the constructor private.
        Private Sub New()
            ' The name of the custom function.
            MyBase.New("MYADD", SpreadsheetGear.CustomFunctions.Volatility.Invariant, SpreadsheetGear.CustomFunctions.ValueType.Number)
        End Sub

    End Class

End Class