Partial Class FormulaEvaluationSample

    Private Sub Evaluate()

        ' Create a new empty workbook and get the first sheet.
        ' NOTE: Use GetWorkbook(System.Globalization.CultureInfo.CurrentCulture)
        '       to use the current culture instead of the default US English culture.
        Dim workbook As SpreadsheetGear.IWorkbook = SpreadsheetGear.Factory.GetWorkbook()

        ' Get the first worksheet.
        Dim worksheet As SpreadsheetGear.IWorksheet = workbook.Worksheets(0)

        ' Evaluate the input formula.
        Dim result As Object = worksheet.EvaluateValue(TextBoxFormula.Text)

        ' Display the result to the user.
        Dim displayValue As String
        If result Is Nothing Then
            displayValue = "Invalid Formula!"
        Else If TypeOf result Is SpreadsheetGear.ValueError Then
            Dim valueError As SpreadsheetGear.ValueError = CType(result, SpreadsheetGear.ValueError)
            displayValue = "Value Error: #" + valueError.ToString().ToUpper() + "!"
        Else
            displayValue = result.ToString()
        End If

        LabelResult.Text = "Result calculated from EvaluateValue = " + displayValue

    End Sub

End Class