Partial Class CheckBoxSample

    Private Sub AddCheckBox(ByRef WorkbookView As SpreadsheetGear.Windows.Forms.WorkbookView)

        ' NOTE: Must acquire a workbook set lock.
        WorkbookView.GetLock()
        Try
            ' Get a reference to the active worksheet and worksheet window info.
            Dim worksheet As SpreadsheetGear.IWorksheet = WorkbookView.ActiveWorksheet
            Dim windowInfo As SpreadsheetGear.IWorksheetWindowInfo = worksheet.WindowInfo

            ' Calculate the left, top, width and height of the checkbox by 
            ' converting row and column coordinates to points.  Use fractional 
            ' values to get coordinates in between row and column boundaries.
            Dim left As Double = windowInfo.ColumnToPoints(1.1)
            Dim top As Double = windowInfo.RowToPoints(1.1)
            Dim right As Double = windowInfo.ColumnToPoints(3.9)
            Dim bottom As Double = windowInfo.RowToPoints(2.9)
            Dim width As Double = right - left
            Dim height As Double = bottom - top

            ' Add the checkbox using the calculated bounds.
            Dim shape As SpreadsheetGear.Shapes.IShape = worksheet.Shapes.AddFormControl( _
                SpreadsheetGear.Shapes.FormControlType.CheckBox, left, top, width, height)

            ' Link the checkbox to cell A2.
            shape.ControlFormat.LinkedCell = "A2"

            ' Set the text of the checkbox.
            shape.TextFrame.Characters.Text = "Click Here to Toggle Cell A2"
        Finally
            ' NOTE: Must release the workbook set lock.
            WorkbookView.ReleaseLock()
        End Try

    End Sub

End Class
