Partial Class SpreadsheetToDataGridFormattedSample

    Private Sub RunSample()

        ' Create a DataSet from an XML file and retrieve an order table.
        Dim dataset As New System.Data.DataSet()
        dataset.ReadXml("spiceorder.xml")
        Dim datatable As System.Data.DataTable = dataset.Tables("OrderItems")

        ' Open the template workbook, which contains number formats
        ' and formulas, and get an IRange from a defined name.
        ' NOTE: Use GetWorkbook(filename, System.Globalization.CultureInfo.CurrentCulture)
        '       to use the current culture instead of the default US English culture.
        Dim workbook As SpreadsheetGear.IWorkbook = _
            SpreadsheetGear.Factory.GetWorkbook("spiceordertemplate.xls")
        Dim range As SpreadsheetGear.IRange = workbook.Names("SetDataRange").RefersToRange

        ' Insert the DataTable into the template worksheet range. 
        ' The InsertCells flag will cause the formatted range to
        ' be adjusted for the inserted data.
        range.CopyFromDataTable(datatable, SpreadsheetGear.Data.SetDataFlags.InsertCells)

        ' Retrieve a DataSet from a defined name which includes 
        ' the formatted range.
        Dim datasetOutput As System.Data.DataSet = _
            workbook.GetDataSet("GetDataRange", SpreadsheetGear.Data.GetDataFlags.FormattedText)

        ' Bind a DataGrid to the formatted DataSet.
        DataGridView.DataSource = datasetOutput
        DataGridView.DataMember = "GetDataRange"

    End Sub

End Class
