Partial Class BasicPrintingSample

    Private Sub Print(ByRef WorkbookView As SpreadsheetGear.Windows.Forms.WorkbookView)

        ' NOTE: Must acquire a workbook set lock.
        WorkbookView.GetLock()
        Try
            ' Determine what to print...
            Dim printWhat As SpreadsheetGear.Printing.PrintWhat
            If RadioButtonSheet.Checked Then
                ' Print the active sheet.
                printWhat = SpreadsheetGear.Printing.PrintWhat.Sheet
            ElseIf RadioButtonWorkbook.Checked Then
                ' Print the entire workbook.
                printWhat = SpreadsheetGear.Printing.PrintWhat.Workbook
            Else
                ' Print the current selection.
                printWhat = SpreadsheetGear.Printing.PrintWhat.Selection
            End If

            ' Print, displaying the print dialog before printing.
            WorkbookView.Print(printWhat, True)
        Finally
            ' NOTE: Must release the workbook set lock.
            WorkbookView.ReleaseLock()
        End Try

    End Sub

    Private Sub PrintPreview(ByRef WorkbookView As SpreadsheetGear.Windows.Forms.WorkbookView)

        ' NOTE: Must acquire a workbook set lock.
        WorkbookView.GetLock()
        Try
            ' Determine what to print preview...
            Dim printWhat As SpreadsheetGear.Printing.PrintWhat
            If RadioButtonSheet.Checked Then
                ' Print preview the active sheet.
                printWhat = SpreadsheetGear.Printing.PrintWhat.Sheet
            ElseIf RadioButtonWorkbook.Checked Then
                ' Print preview the entire workbook.
                printWhat = SpreadsheetGear.Printing.PrintWhat.Workbook
            Else
                ' Print preview the current selection.
                printWhat = SpreadsheetGear.Printing.PrintWhat.Selection
            End If

            ' Show the print preview dialog.
            WorkbookView.PrintPreview(printWhat)
        Finally
            ' NOTE: Must release the workbook set lock.
            WorkbookView.ReleaseLock()
        End Try

    End Sub

End Class
