Partial Class PageBreaksSample

    Private Sub PrintPreview(ByRef WorkbookView As SpreadsheetGear.Windows.Forms.WorkbookView)

        ' NOTE: Must acquire a workbook set lock.
        WorkbookView.GetLock()
        Try
            ' Get a reference to the active worksheet's cells.
            Dim cells As SpreadsheetGear.IRange = WorkbookView.ActiveWorksheet.Cells

            ' If page breaks are used...
            If RadioButtonPageBreaksUsed.Checked Then
                ' Add manual page breaks above and to the left of a named range.
                cells("West").PageBreak = SpreadsheetGear.PageBreak.Manual
            Else
                ' Remove all page breaks from all worksheet cells.
                cells.PageBreak = SpreadsheetGear.PageBreak.None
            End If

            ' Show a print preview of the active worksheet.
            WorkbookView.PrintPreview()
        Finally
            ' NOTE: Must release the workbook set lock.
            WorkbookView.ReleaseLock()
        End Try

    End Sub

End Class
