Public Class AutoFilterSample
    Implements SpreadsheetGearNavigator.ISampleControl
    Public Sub New()

        ' This call is required by the Windows Form Designer.
        InitializeComponent()

        ' Add any initialization after the InitializeComponent() call.
        InitSample()
    End Sub

    Protected Overrides Sub Finalize()
        MyBase.Finalize()
    End Sub

    Private Sub ButtonFilterSingleItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonFilterSingleItem.Click
        FilterSingleItem(WorkbookView)
    End Sub

    Private Sub ButtonFilterMultipleItems_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonFilterMultipleItems.Click
        FilterMultipleItems(WorkbookView)
    End Sub

    Private Sub ButtonFilterTopItems_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonFilterTopItems.Click
        FilterTopItems(WorkbookView)
    End Sub

    Private Sub ButtonFilterTopPercent_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonFilterTopPercent.Click
        FilterTopPercent(WorkbookView)
    End Sub

    Private Sub ButtonFilterBottomItems_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonFilterBottomItems.Click
        FilterBottomItems(WorkbookView)
    End Sub

    Private Sub ButtonFilterBottomPercent_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonFilterBottomPercent.Click
        FilterBottomPercent(WorkbookView)
    End Sub

    Private Sub ButtonFilterGreaterThan_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonFilterGreaterThan.Click
        FilterGreaterThan(WorkbookView)
    End Sub

    Private Sub ButtonFilterBetween_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonFilterBetween.Click
        FilterBetween(WorkbookView)
    End Sub

    Private Sub ButtonFilterColor_Click(sender As Object, e As EventArgs) Handles ButtonFilterColor.Click
        FilterColor(WorkbookView)
    End Sub

    Private Sub ButtonFilterIcon_Click(sender As Object, e As EventArgs) Handles ButtonFilterIcon.Click
        FilterIcon(WorkbookView)
    End Sub

    Private Sub ButtonShowAllData_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonShowAllData.Click
        ShowAllData(WorkbookView)
    End Sub

    Private Sub InitSample()

        WorkbookView.GetLock()
        Try
            Dim range As SpreadsheetGear.IRange = WorkbookView.ActiveWorksheet.Cells("C2:F65")
            Dim condition1 As SpreadsheetGear.IFormatCondition = range.FormatConditions.Add( _
                    SpreadsheetGear.FormatConditionType.CellValue, SpreadsheetGear.FormatConditionOperator.GreaterEqual, "1900", Nothing)
            condition1.Interior.Color = SpreadsheetGear.Colors.SeaGreen
            Dim condition2 As SpreadsheetGear.IFormatCondition = range.FormatConditions.AddIconSetCondition()
            condition2.IconSetCondition.IconCriteria(1).Type = SpreadsheetGear.ConditionValueTypes.Number
            condition2.IconSetCondition.IconCriteria(1).Value = 200
            condition2.IconSetCondition.IconCriteria(1).Icon = SpreadsheetGear.Icon.NoCellIcon
            condition2.IconSetCondition.IconCriteria(2).Icon = SpreadsheetGear.Icon.NoCellIcon
        Finally
            WorkbookView.ReleaseLock()
        End Try

    End Sub

    Public ReadOnly Property CodePath() As String Implements SpreadsheetGearNavigator.ISampleControl.CodePath
        Get
            Return "Range\AutoFilterSample.code.vb"
        End Get
    End Property
End Class
