Partial Class CommentSample

    Private Sub AddComment(ByRef WorkbookView As SpreadsheetGear.Windows.Forms.WorkbookView)

        ' NOTE: Must acquire a workbook set lock.
        WorkbookView.GetLock()
        Try
            ' Add popup comments to various cells.
            Dim i As Integer
            For i = 0 To 4
                ' Get a reference to a cell.
                Dim cell As SpreadsheetGear.IRange = WorkbookView.ActiveWorksheet.Cells(i * 2, i)

                ' If the cell has no comment, add one.
                If cell.Comment Is Nothing Then
                    Dim comment As SpreadsheetGear.IComment = cell.AddComment( _
                        "This comment is located in cell " + cell.Address)

                    ' Turn off the default bold font.
                    comment.Shape.TextFrame.Characters.Font.Bold = False

                    ' Put some text in the cell.
                    cell.Formula = "Hover over " + cell.Address + " to see comment."
                End If
            Next i

            ' Get a reference to a cell.
            Dim cell2 As SpreadsheetGear.IRange = WorkbookView.ActiveWorksheet.Cells("D2")

            ' If the cell has no comment, add one.
            If cell2.Comment Is Nothing Then
                Dim comment As SpreadsheetGear.IComment = cell2.AddComment( _
                    "Hover over or right click indicated cells to show, edit or delete comments.")

                ' Set the comment to always be visible.
                comment.Visible = True

                ' Turn off the default bold font.
                comment.Shape.TextFrame.Characters.Font.Bold = False
            End If
        Finally
            ' NOTE: Must release the workbook set lock.
            WorkbookView.ReleaseLock()
        End Try

    End Sub

End Class
