Partial Class DataSeriesSample

    Private Sub FillDataSeries(ByRef WorkbookView As SpreadsheetGear.Windows.Forms.WorkbookView)

        ' NOTE: Must acquire a workbook set lock.
        WorkbookView.GetLock()
        Try
            ' Get a reference to the active worksheet's cells.
            Dim cells As SpreadsheetGear.IRange = WorkbookView.ActiveWorksheet.Cells

            ' Auto fill by month name.
            cells("A2:A13").DataSeries(True, _
                SpreadsheetGear.DataSeriesType.AutoFill, _
                SpreadsheetGear.DataSeriesDate.Day, 1, 1, False)

            ' Fill by day.
            cells("B2:B13").DataSeries(True, _
                SpreadsheetGear.DataSeriesType.Chronological, _
                SpreadsheetGear.DataSeriesDate.Day, 1, System.Double.MaxValue, False)

            ' Fill by month.
            cells("C2:C13").DataSeries(True, _
                SpreadsheetGear.DataSeriesType.Chronological, _
                SpreadsheetGear.DataSeriesDate.Month, 1, System.Double.MaxValue, False)

            ' Fill by year.
            cells("D2:D13").DataSeries(True, _
                SpreadsheetGear.DataSeriesType.Chronological, _
                SpreadsheetGear.DataSeriesDate.Year, 1, System.Double.MaxValue, False)

            ' Fill linear.
            cells("E2:E13").DataSeries(True, _
                SpreadsheetGear.DataSeriesType.DataSeriesLinear, _
                SpreadsheetGear.DataSeriesDate.Day, 1, System.Double.MaxValue, False)

            ' Fill linear trend.
            cells("F2:F13").DataSeries(True, _
                SpreadsheetGear.DataSeriesType.DataSeriesLinear, _
                SpreadsheetGear.DataSeriesDate.Day, 1, 1, True)
        Finally
            ' NOTE: Must release the workbook set lock.
            WorkbookView.ReleaseLock()
        End Try

    End Sub

End Class
