Partial Class FontSample

    Private Sub SetFont(ByRef WorkbookView As SpreadsheetGear.Windows.Forms.WorkbookView)

        ' NOTE: Must acquire a workbook set lock.
        WorkbookView.GetLock()
        Try
            ' Get a reference to cell A1.
            Dim cell As SpreadsheetGear.IRange = WorkbookView.ActiveWorksheet.Cells("A1")

            ' Add text to the cell.
            cell.Value = "SpreadsheetGear for .NET"

            ' Get a reference to the range's font.
            Dim font As SpreadsheetGear.IFont = cell.Font

            ' Set various font options.
            font.Name = "Times New Roman"
            font.Size = 14
            font.Bold = True
            font.Color = SpreadsheetGear.Colors.SlateBlue

            ' AutoFit the range.
            cell.Columns.AutoFit()
        Finally
            ' NOTE: Must release the workbook set lock.
            WorkbookView.ReleaseLock()
        End Try

    End Sub

End Class
