Partial Class GoalSeekSample

    Private Sub GoalSeek(ByRef WorkbookView As SpreadsheetGear.Windows.Forms.WorkbookView)

        ' NOTE: Must acquire a workbook set lock.
        WorkbookView.GetLock()
        Try
            ' Get a reference to the active worksheet.
            Dim worksheet As SpreadsheetGear.IWorksheet = WorkbookView.ActiveWorksheet

            ' Get a reference to the target cell.
            Dim targetCell As SpreadsheetGear.IRange = worksheet.Cells("TargetCell")

            ' Get a reference to the cell to change.
            Dim changingCell As SpreadsheetGear.IRange = worksheet.Cells("ChangingCell")

            ' Set up the desired goal of the target cell.
            Dim desiredTargetValueCell As SpreadsheetGear.IRange = worksheet.Cells("DesiredTargetValueCell")
            Dim value As Object = desiredTargetValueCell.Value
            Dim goal As Double
            If (TypeOf value Is Double) Then
                goal = CDbl(value)
            Else
                goal = 0.0
            End If

            ' Call GoalSeek which returns true if the desired goal is achieved.
            Dim achieved As Boolean = targetCell.GoalSeek(goal, changingCell)

            ' Display the achieved status in the worksheet.
            Dim status As String
            If (achieved) Then
                status = "Achieved"
            Else
                status = "Failed"
            End If
            worksheet.Cells("GoalSeekStatusCell").Value = status
        Finally
            ' NOTE: Must release the workbook set lock.
            WorkbookView.ReleaseLock()
        End Try

    End Sub

End Class
