Partial Class MergeCellsSample

    Private Sub MergeCells(ByRef WorkbookView As SpreadsheetGear.Windows.Forms.WorkbookView)

        ' NOTE: Must acquire a workbook set lock.
        WorkbookView.GetLock()
        Try
            ' Get a reference to the selected range.
            Dim range As SpreadsheetGear.IRange = WorkbookView.RangeSelection

            ' Merge the range.
            range.Merge()

            ' Center horizontally and vertically.
            range.HorizontalAlignment = SpreadsheetGear.HAlign.Center
            range.VerticalAlignment = SpreadsheetGear.VAlign.Center

            ' Set the text of the merged cells.
            range.Value = "Merged Cells"
        Catch exc As System.Exception
            System.Windows.Forms.MessageBox.Show(exc.Message, "SpreadsheetGear")
        Finally
            ' NOTE: Must release the workbook set lock.
            WorkbookView.ReleaseLock()
        End Try

    End Sub

End Class
