Partial Class NumberFormatSample

    Private Sub SetNumberFormat(ByRef WorkbookView As SpreadsheetGear.Windows.Forms.WorkbookView)

        ' NOTE: Must acquire a workbook set lock.
        WorkbookView.GetLock()
        Try
            ' Get a reference to a range of cells.
            Dim range As SpreadsheetGear.IRange = WorkbookView.ActiveWorksheet.Cells("A1:A9")

            ' Add data to the cells.
            range.Formula = "1234.5678"

            ' Set various number formats.
            range(0, 0).NumberFormat = "General"
            range(1, 0).NumberFormat = "0"
            range(2, 0).NumberFormat = "$#,##0.00_);($#,##0.00)"
            range(3, 0).NumberFormat = "m/d/yyyy"
            range(4, 0).NumberFormat = "h:mm AM/PM"
            range(5, 0).NumberFormat = "0.00%"
            range(6, 0).NumberFormat = "# ??/??"
            range(7, 0).NumberFormat = "0.00E+00"

            ' Set number format as text.
            ' NOTE: Text format must be set before setting the value.
            range(8, 0).NumberFormat = "@"
            range(8, 0).Formula = "00123456"

            ' Autofit the column.
            range.Columns.AutoFit()
        Finally
            ' NOTE: Must release the workbook set lock.
            WorkbookView.ReleaseLock()
        End Try

    End Sub

End Class
