Partial Class ValueFromArraySample

    Private Sub SetValueFromArray(ByRef WorkbookView As SpreadsheetGear.Windows.Forms.WorkbookView)

        ' NOTE: Must acquire a workbook set lock.
        WorkbookView.GetLock()
        Try
            ' Get a reference to a range of cells.
            Dim range As SpreadsheetGear.IRange = WorkbookView.ActiveWorksheet.Cells("A1:J100")

            ' Create an array of values matching the size of 
            ' the range which is 100 rows x 10 columns.
            Dim rowCount As Integer = range.RowCount
            Dim colCount As Integer = range.ColumnCount
            Dim values(rowCount, colCount) As Object
            Dim row As Integer
            For row = 0 To rowCount - 1
                Dim col As Integer
                For col = 0 To colCount - 1
                    values(row, col) = "Cell=" + range.WorkbookSet.GetAddress(row, col)
                Next col
            Next row

            ' Set the array values into the range.
            range.Value = values

            ' AutoFit the range.
            range.Columns.AutoFit()

            ' Give the keyboard focus to the WorkbookView.
            WorkbookView.Focus()
        Finally
            ' NOTE: Must release the workbook set lock.
            WorkbookView.ReleaseLock()
        End Try

    End Sub

End Class
