Partial Class DataTableToWorkbookSample

    Private Sub RunReport(ByRef WorkbookView As SpreadsheetGear.Windows.Forms.WorkbookView)

        ' NOTE: Must acquire a workbook set lock.
        WorkbookView.GetLock()
        Try
            ' Create a DataSet from an XML file.
            Dim dataset As New System.Data.DataSet()
            dataset.ReadXml("spiceorder.xml")
            Dim datatable As System.Data.DataTable = dataset.Tables("OrderItems")

            ' Get a workbook reference.
            Dim workbook As SpreadsheetGear.IWorkbook = WorkbookView.ActiveWorkbook
            ' Get a worksheet reference.
            Dim worksheet As SpreadsheetGear.IWorksheet = workbook.Worksheets(0)
            ' Set the worksheet name.
            worksheet.Name = "Spice Order"

            ' Get the top left cell for the DataTable.
            Dim cell As SpreadsheetGear.IRange = worksheet.Cells("A1")

            ' Copy the DataTable to the worksheet range.
            cell.CopyFromDataTable(datatable, SpreadsheetGear.Data.SetDataFlags.None)

            ' Auto size all worksheet columns which contain data.
            worksheet.UsedRange.Columns.AutoFit()
        Finally
            ' NOTE: Must release the workbook set lock.
            WorkbookView.ReleaseLock()
        End Try

    End Sub

End Class