Partial Class SimpleSpreadsheetSample

    Private Sub RunReport(ByRef WorkbookView As SpreadsheetGear.Windows.Forms.WorkbookView)

        ' NOTE: Must acquire a workbook set lock.
        WorkbookView.GetLock()
        Try
            ' Get a workbook reference.
            Dim workbook As SpreadsheetGear.IWorkbook = WorkbookView.ActiveWorkbook
            ' Get a worksheet reference.
            Dim worksheet As SpreadsheetGear.IWorksheet = workbook.Worksheets(0)
            ' Get the worksheet cells reference.
            Dim cells As SpreadsheetGear.IRange = worksheet.Cells

            ' Set the worksheet name.
            worksheet.Name = "2006 Sales"

            ' Load column titles and center.
            cells("B1").Formula = "North"
            cells("C1").Formula = "South"
            cells("D1").Formula = "East"
            cells("E1").Formula = "West"
            cells("B1:E1").HorizontalAlignment = SpreadsheetGear.HAlign.Center

            ' Load row titles using multiple cell text reference and iteration.
            Dim quarter As Integer = 1
            Dim cell As SpreadsheetGear.IRange
            For Each cell In cells("A2:A5")
                cell.Formula = "Q" + quarter.ToString()
                quarter = quarter + 1
            Next cell

            ' Load random data and format as $ using multiple cell range.
            Dim body As SpreadsheetGear.IRange = cells(1, 1, 4, 4)
            body.Formula = "=RAND() * 10000"
            body.NumberFormat = "$#,##0_);($#,##0)"
        Finally
            ' NOTE: Must release the workbook set lock.
            WorkbookView.ReleaseLock()
        End Try

    End Sub

End Class