Partial Class ActiveWorkbookSample

    Private Sub SetActiveWorkbook(ByRef WorkbookView As SpreadsheetGear.Windows.Forms.WorkbookView)

        ' NOTE: Must acquire a workbook set lock.
        WorkbookView.GetLock()
        Try
            ' Open a workbook into a new workbook set which uses the current culture.
            Dim workbook As SpreadsheetGear.IWorkbook = _
                SpreadsheetGear.Factory.GetWorkbook("spiceorder.xls", _
                System.Globalization.CultureInfo.CurrentCulture)

            ' Display the new workbook in the WorkbookView.
            WorkbookView.ActiveWorkbook = workbook
        Finally
            ' NOTE: Must release the workbook set lock.
            WorkbookView.ReleaseLock()
        End Try

    End Sub

End Class
