Partial Class ActiveWorksheetSample

    Private Sub SetActiveWorksheet(ByRef WorkbookView As SpreadsheetGear.Windows.Forms.WorkbookView)

        ' NOTE: Must acquire a workbook set lock.
        WorkbookView.GetLock()
        Try
            ' Get a reference to the active workbook.
            Dim workbook As SpreadsheetGear.IWorkbook = WorkbookView.ActiveWorkbook

            ' Get a reference to the workbook's worksheet collection.
            Dim worksheets As SpreadsheetGear.IWorksheets = workbook.Worksheets

            ' Add a new worksheet to the end of the collection.
            worksheets.Add()

            ' Add a new worksheet after the first worksheet.
            worksheets.AddAfter(worksheets(0))

            ' Add a new worksheet before the first worksheet.
            worksheets.AddBefore(worksheets(0))

            ' Display the last worksheet in the WorkbookView.
            WorkbookView.ActiveWorksheet = worksheets((worksheets.Count - 1))
        Finally
            ' NOTE: Must release the workbook set lock.
            WorkbookView.ReleaseLock()
        End Try

    End Sub

End Class
