Partial Class WorkbookWindowInfoSample

    Private Sub SetWorkbookWindowInfo(ByRef WorkbookView As SpreadsheetGear.Windows.Forms.WorkbookView)

        ' NOTE: Must acquire a workbook set lock.
        WorkbookView.GetLock()
        Try
            ' Get a reference to the active workbook window info.
            Dim windowInfo As SpreadsheetGear.IWorkbookWindowInfo = WorkbookView.ActiveWorkbookWindowInfo

            ' Toggle display of the horizontal scroll bar.
            windowInfo.DisplayHorizontalScrollBar = Not windowInfo.DisplayHorizontalScrollBar

            ' Toggle display of the vertical scroll bar.
            windowInfo.DisplayVerticalScrollBar = Not windowInfo.DisplayVerticalScrollBar

            ' Toggle display of the workbook tabs.
            windowInfo.DisplayWorkbookTabs = Not windowInfo.DisplayWorkbookTabs
        Finally
            ' NOTE: Must release the workbook set lock.
            WorkbookView.ReleaseLock()
        End Try

    End Sub

End Class
