Partial Class ActiveTabChangedEventSample

    Private Sub WorkbookView_ActiveTabChanged(ByVal sender As System.Object, ByVal e As SpreadsheetGear.Windows.Forms.ActiveTabChangedEventArgs) Handles WorkbookView.ActiveTabChanged

        ' NOTE: Must acquire a workbook set lock.
        WorkbookView.GetLock()
        Try
            ' Get the new sheet selection.
            Dim sheet As SpreadsheetGear.ISheet = e.Sheet

            ' Get the new tab index.
            Dim tabIndex As Integer = e.TabIndex

            ' Set up some information about the event.
            Dim text As String = sheet.Name + _
                " is currently selected with a tab index of " + tabIndex.ToString() + "."

            ' Display the information in a ToolTip.
            ToolTip.Show(text, Me, 160, 80, 5000)
        Finally
            ' NOTE: Must release the workbook set lock.
            WorkbookView.ReleaseLock()
        End Try

    End Sub

End Class
