Partial Class CalculateEventSample

    Private Sub WorkbookView_Calculate(ByVal sender As System.Object, ByVal e As SpreadsheetGear.Windows.Forms.CalculateEventArgs) Handles WorkbookView.Calculate

        ' NOTE: Must acquire a workbook set lock.
        WorkbookView.GetLock()
        Try
            ' Get a date/time value from a cell.
            ' NOTE: The NOW worksheet function is used to calculate the value.
            Dim value As Double = _
                CDbl(WorkbookView.ActiveWorksheet.Cells("B1").Value)

            ' Convert the cell value to a System.DateTime.
            Dim dateTime As System.DateTime = _
                WorkbookView.ActiveWorkbook.NumberToDateTime(value)

            ' Set the date/time value of the DateTimePicker control.
            DateTimePicker1.Value = dateTime
        Finally
            ' NOTE: Must release the workbook set lock.
            WorkbookView.ReleaseLock()
        End Try

    End Sub

    Private Sub Calculate(ByRef WorkbookView As SpreadsheetGear.Windows.Forms.WorkbookView)

        ' NOTE: Must acquire a workbook set lock.
        WorkbookView.GetLock()
        Try
            ' Force the NOW worksheet function to recalculate.
            WorkbookView.ActiveWorkbookSet.Calculate()
        Finally
            ' NOTE: Must release the workbook set lock.
            WorkbookView.ReleaseLock()
        End Try

    End Sub

End Class
