Partial Class CellBeginEditEventSample

    Private Sub WorkbookView_CellBeginEdit(ByVal sender As System.Object, ByVal e As SpreadsheetGear.Windows.Forms.CellBeginEditEventArgs) Handles WorkbookView.CellBeginEdit

        ' NOTE: Must acquire a workbook set lock.
        WorkbookView.GetLock()
        Try
            ' Check if cell B1 is selected.
            Dim range As SpreadsheetGear.IRange = WorkbookView.ActiveCell
            If range.Row = 0 And range.Column = 1 Then
                ' Sets the initial entry text to upper case.
                e.Entry = e.Entry.ToUpper()
            Else
                ' Cancel the edit for any cell other than B1.
                e.Cancel = True
            End If
        Finally
            ' NOTE: Must release the workbook set lock.
            WorkbookView.ReleaseLock()
        End Try

    End Sub

End Class
