Partial Class CellEndEditEventSample

    Private Sub WorkbookView_CellEndEdit(ByVal sender As System.Object, ByVal e As SpreadsheetGear.Windows.Forms.CellEndEditEventArgs) Handles WorkbookView.CellEndEdit

        ' NOTE: Must acquire a workbook set lock.
        WorkbookView.GetLock()
        Try
            ' Check if cell B1 is selected.
            Dim range As SpreadsheetGear.IRange = WorkbookView.ActiveCell
            If range.Row = 0 And range.Column = 1 Then
                ' Try to convert the entry to an integer.
                Dim result As Integer
                Dim validInt As Boolean = System.Int32.TryParse(e.Entry, result)

                ' Check if the entry is valid.
                If Not validInt Or result <= 0 Then
                    ' Unwind the workbook set lock.
                    Dim rewindCount As Integer = WorkbookView.UnwindLock()
                    Try
                        ' Show a message and cancel CellEndEdit.
                        System.Windows.Forms.MessageBox.Show( _
                            "The entry must be an integer greater than 0.", "SpreadsheetGear")
                        e.Cancel = True
                    Finally
                        ' Rewind the workbook set lock.
                        WorkbookView.RewindLock(rewindCount)
                    End Try
                End If
            End If
        Finally
            ' NOTE: Must release the workbook set lock.
            WorkbookView.ReleaseLock()
        End Try

    End Sub

End Class
