Partial Class RangeChangedEventSample

    Private Sub WorkbookView_RangeChanged(ByVal sender As System.Object, ByVal e As SpreadsheetGear.Windows.Forms.RangeChangedEventArgs) Handles WorkbookView.RangeChanged

        ' NOTE: Must acquire a workbook set lock.
        WorkbookView.GetLock()
        Try
            ' Get the changed range.
            Dim range As SpreadsheetGear.IRange = e.Range

            ' Set up some information about the event.
            Dim text As String = "The value in cell " _
                + range.Address + " has changed to " + range.Text + "."

            ' Display the information in a ToolTip.
            Me.Focus()
            ToolTip.Show(text, Me, 200, 160, 3000)
        Finally
            ' NOTE: Must release the workbook set lock.
            WorkbookView.ReleaseLock()
        End Try

    End Sub

End Class
