Partial Class ShapeActionEventSample

    Private Sub WorkbookView_ShapeAction(ByVal sender As System.Object, ByVal e As SpreadsheetGear.Windows.Forms.ShapeActionEventArgs) Handles WorkbookView.ShapeAction

        ' NOTE: Must acquire a workbook set lock.
        WorkbookView.GetLock()
        Try
            Select Case e.ShapeActionType
                Case SpreadsheetGear.Windows.Forms.ShapeActionType.Click
                    ' Get a reference to a cell.
                    Dim cell As SpreadsheetGear.IRange = WorkbookView.ActiveWorksheet.Cells("B6")

                    ' Add text to the cell.
                    cell.Value = "SpreadsheetGear for .NET"

                    ' Set various font options.
                    Dim font As SpreadsheetGear.IFont = cell.Font
                    font.Name = "Times New Roman"
                    font.Size = 18
                    font.Bold = True
                    font.Color = SpreadsheetGear.Colors.SlateBlue
            End Select
        Finally
            ' NOTE: Must release the workbook set lock.
            WorkbookView.ReleaseLock()
        End Try

    End Sub

End Class
