Partial Class ShapeSelectionChangedEventSample

    Private Sub WorkbookView_ShapeSelectionChanged(ByVal sender As System.Object, ByVal e As SpreadsheetGear.Windows.Forms.ShapeSelectionChangedEventArgs) Handles WorkbookView.ShapeSelectionChanged

        ' NOTE: Must acquire a workbook set lock.
        WorkbookView.GetLock()
        Try
            ' Get the new shape selection.
            Dim shapeRange As SpreadsheetGear.Shapes.IShapeRange = e.ShapeSelection

            ' If at least one shape is selected...
            If Not (shapeRange Is Nothing) Then
                ' display information about the first selected shape.
                WorkbookView.ActiveWorksheet.Cells("B1").Formula = shapeRange(0).Name
            Else
                ' display no selection.
                WorkbookView.ActiveWorksheet.Cells("B1").Formula = "No Selection"
            End If
        Finally
            ' NOTE: Must release the workbook set lock.
            WorkbookView.ReleaseLock()
        End Try

    End Sub

End Class
