Partial Class ShowErrorEventSample

    Private Sub WorkbookView_ShowError(ByVal sender As System.Object, ByVal e As SpreadsheetGear.Windows.Forms.ShowErrorEventArgs) Handles WorkbookView.ShowError

        ' NOTE: Must acquire a workbook set lock.
        WorkbookView.GetLock()
        Try
            ' NOTE: This sample changes the text displayed in the default
            '       error message dialog.  You can bypass the dialog completely
            '       by simply setting ShowErrorEventArgs.Handled to true.
            ' Change the default error dialog caption.
            e.Caption = "Protection Error"

            ' Change the default error dialog message.
            e.Message = "Access Denied!" + _
                ControlChars.Cr + ControlChars.Lf + _
                ControlChars.Cr + ControlChars.Lf + _
                "You do not have permission to edit this worksheet."
        Finally
            ' NOTE: Must release the workbook set lock.
            WorkbookView.ReleaseLock()
        End Try

    End Sub

End Class
