Partial Class LocationToRangeSample

    Private Sub WorkbookView_MouseDown(ByVal sender As System.Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles WorkbookView.MouseDown

        ' NOTE: Must acquire a workbook set lock.
        WorkbookView.GetLock()
        Try
            ' Get the range associated with the mouse location.
            Dim range As SpreadsheetGear.IRange = WorkbookView.LocationToRange(e.Location)

            ' If this location is over a cell or row/col 
            ' header, set the interior to blue.
            If Not (range Is Nothing) Then
                range.EntireMergeArea.Interior.Color = SpreadsheetGear.Colors.SlateBlue
            End If
        Finally
            ' NOTE: Must release the workbook set lock.
            WorkbookView.ReleaseLock()
        End Try

    End Sub

End Class
